org.apache.fop.render.java2d

## Class Java2DRenderingSettings

- java.lang.Object
- - org.apache.fop.render.java2d.Java2DRenderingSettings

- Direct Known Subclasses:
    BitmapRenderingSettings

      public class Java2DRenderingSettings
      extends Object

  This class holds settings used when rendering with Java2D.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java2DRenderingSettings()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getPageBackgroundColor()` Returns the page background color.
    `boolean` | `hasTransparentPageBackground()` Indicates whether the pages have a transparent background or if it's painted in a particular color.
    `void` | `setPageBackgroundColor(Color color)` Sets the page background color.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java2DRenderingSettings

          public Java2DRenderingSettings()

  - ### Method Detail

    - #### getPageBackgroundColor

          public Color getPageBackgroundColor()

      Returns the page background color.
      Returns:
        the page background color or null if the page background is transparent

    - #### setPageBackgroundColor

          public void setPageBackgroundColor(Color color)

      Sets the page background color.
      Parameters:
        `color` - the page background color or null if the page background shall be transparent

    - #### hasTransparentPageBackground

          public boolean hasTransparentPageBackground()

      Indicates whether the pages have a transparent background or if it's painted in a particular color.
      Returns:
        true if the pages have a transparent background

Copyright © 2023 Apache Software Foundation. All rights reserved.